> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pods Status



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/pods/status
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/pods/status:
    get:
      tags:
        - Pods
      summary: Get Pods Status
      operationId: get_pods_status_api_v1_pods_status_get
      parameters:
        - name: pod_ids
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
            description: List of pod ids
            default: []
            title: Pod Ids
          description: List of pod ids
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GenericResponse_List_APIPodStatusResponse__
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    GenericResponse_List_APIPodStatusResponse__:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/APIPodStatusResponse'
              type: array
            - type: 'null'
          title: Data
          description: Response data
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Response status
      type: object
      title: GenericResponse[List[APIPodStatusResponse]]
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    APIPodStatusResponse:
      properties:
        podId:
          type: string
          title: Podid
          description: Unique identifier for the pod.
        providerType:
          $ref: '#/components/schemas/ProviderTypeEnum'
          description: ID of the provider.
        status:
          $ref: '#/components/schemas/PodStatusEnum'
          description: Current status of the pod.
        sshConnection:
          anyOf:
            - type: string
            - items:
                anyOf:
                  - type: string
                  - type: 'null'
              type: array
            - type: 'null'
          title: Sshconnection
          description: >-
            SSH connection details for the pod, which may be a string or list of
            strings (if there are multiple nodes).
          examples:
            - root@135.23.125.123 -p 22
        ip:
          anyOf:
            - type: string
            - items:
                anyOf:
                  - type: string
                  - type: 'null'
              type: array
            - type: 'null'
          title: Ip
          description: >-
            IP address or list (if there are multiple nodes) of IP addresses
            associated with the pod.
          examples:
            - 135.23.125.123
        installationStatus:
          anyOf:
            - $ref: '#/components/schemas/InstallationStatusEnum'
            - type: 'null'
          description: Installation status of the pod, based on InstallationStatusEnum.
        installationFailure:
          anyOf:
            - type: string
            - type: 'null'
          title: Installationfailure
          description: >-
            Details about any installation failures that occurred, if
            applicable.
        installationProgress:
          anyOf:
            - type: integer
            - type: 'null'
          title: Installationprogress
          description: >-
            Percentage of the installation process that has been completed, if
            available.
      type: object
      required:
        - podId
        - providerType
        - status
      title: APIPodStatusResponse
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
    ProviderTypeEnum:
      type: string
      enum:
        - runpod
        - fluidstack
        - lambdalabs
        - hyperstack
        - oblivus
        - cudocompute
        - scaleway
        - tensordock
        - datacrunch
        - latitude
        - crusoecloud
        - massedcompute
        - akash
        - primeintellect
        - primecompute
        - dc_impala
        - dc_kudu
        - dc_roan
        - nebius
        - dc_eland
        - dc_wildebeest
        - vultr
        - dc_gnu
        - denvr
      title: ProviderTypeEnum
    PodStatusEnum:
      type: string
      enum:
        - PROVISIONING
        - PENDING
        - ACTIVE
        - STOPPED
        - ERROR
        - DELETING
        - UNKNOWN
        - TERMINATED
      title: PodStatusEnum
    InstallationStatusEnum:
      type: string
      enum:
        - PENDING
        - ACTIVE
        - FINISHED
        - ERROR
        - TERMINATED
      title: InstallationStatusEnum
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````